JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.buffer
Class BufferCurveLoopPruner

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.BufferCurveLoopPruner

    public class BufferCurveLoopPruner

extends java.lang.Object

Field Summary
`static boolean` `DO_PRUNE`
`static int` `SEARCH_WINDOW` By empirical determination, a search window of 20 is the best compromise between the time taken to search for intersections, and the time saved by pruning

Constructor Summary
`BufferCurveLoopPruner(Coordinate[] pts)`

Method Summary
`Coordinate[]` `prune()`
`static Coordinate[]` `prune(Coordinate[] pts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DO_PRUNE

    public static boolean DO_PRUNE

### SEARCH_WINDOW

    public static int SEARCH_WINDOW

  By empirical determination, a search window of 20 is the best compromise between the time taken to search for intersections, and the time saved by pruning

Constructor Detail

### BufferCurveLoopPruner

    public BufferCurveLoopPruner(Coordinate[] pts)

Method Detail

### prune

    public static Coordinate[] prune(Coordinate[] pts)

### prune

    public Coordinate[] prune()

JTS Topology Suite version 1.13